
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops edit instancegroup

Edit instancegroup.

### Synopsis

Edit a cluster configuration.

 This command changes the instancegroup desired configuration in the registry.

  To set your preferred editor, you can define the EDITOR environment variable.
  When you have done this, kops will use the editor that you have set.
  
 kops edit does not update the cloud resources, to apply the changes use "kops update cluster".

```
kops edit instancegroup [flags]
```

### Examples

```
  # Edit an instancegroup desired configuration.
  kops edit ig --name k8s-cluster.example.com nodes --state=s3://my-state-store
```

### Options

```
  -h, --help   help for instancegroup
```

### Options inherited from parent commands

```
      --add_dir_header                   If true, adds the file directory to the header of the log messages
      --alsologtostderr                  log to standard error as well as files
      --config string                    yaml config file (default is $HOME/.kops.yaml)
      --log_backtrace_at traceLocation   when logging hits line file:N, emit a stack trace (default :0)
      --log_dir string                   If non-empty, write log files in this directory
      --log_file string                  If non-empty, use this log file
      --log_file_max_size uint           Defines the maximum size a log file can grow to. Unit is megabytes. If the value is 0, the maximum file size is unlimited. (default 1800)
      --logtostderr                      log to standard error instead of files (default true)
      --name string                      Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --skip_headers                     If true, avoid header prefixes in the log messages
      --skip_log_headers                 If true, avoid headers when opening log files
      --state string                     Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
      --stderrthreshold severity         logs at or above this threshold go to stderr (default 2)
  -v, --v Level                          number for the log level verbosity
      --vmodule moduleSpec               comma-separated list of pattern=N settings for file-filtered logging
```

### SEE ALSO

* [kops edit](kops_edit.md)	 - Edit clusters and other resources.

